using Microsoft.AspNetCore.Components;

namespace ReAct_PME.WebUI.Pages.MenusAdmin
{
    public partial class MenuAdministrationApplication : ComponentBase
    {
        [Inject] private NavigationManager Navigation { get; set; } = default!;
        private List<AdminMenuItem> MenuItems = new()
        {
			new("Conversations", "bi bi-person-fill", "Gérer les conversations", "/dt_conversation_list"),
			new("Conversations Détail", "bi bi-person-fill", "Gérer le détail des conversations", "/dt_conversation_ligne_list"),
			new("Logs", "bi bi-person-fill", "Gérer les Logs", "/dt_logs_list"),
			new("Rôles", "bi bi-person-fill", "Gérer les Rôles", "/dt_role_list"),
			new("Utilisateurs", "bi bi-person-fill", "Gérer les Utilisateurs", "/dt_work_force_list"),
			new("Rôles des utilisateurs", "bi bi-person-fill", "Gérer les Rôles des utilisateurs", "/dt_work_force_role_list"),

        };

        void NavigateTo(string url)
        {
            Navigation.NavigateTo(url);
        }

        public record AdminMenuItem(string Title, string Icon, string Description, string Url);
    }
}